Installation sous Ubuntu: automultiplechoice.sty not found

Added by Pierre GRIPAY 5 months ago

Je fais ma première installation d'AMC (1.4.0+git2019-10-13-1~bionic1) sous mon Ubuntu Bionic (18.04.3 LTS), via apt-get.
Avec le test d'exemple simple (simple.tex) fourni, AMC ne compile pas les documents, voici le détail de la sortie des commandes:
This is pdfTeX, Version 3.1415926-2.5-1.40.14 (TeX Live 2013)
restricted \write18 enabled.
entering extended mode
LaTeX2e <2011/06/27>
Babel <3.9h> and hyphenation patterns for 78 languages loaded.
(./simple.tex (/usr/local/texlive/2013/texmf-dist/tex/latex/base/article.cls
Document Class: article 2007/10/19 v1.4h Standard LaTeX document class
(/usr/local/texlive/2013/texmf-dist/tex/latex/base/size10.clo))
(/usr/local/texlive/2013/texmf-dist/tex/latex/base/inputenc.sty
(/usr/local/texlive/2013/texmf-dist/tex/latex/ucs/utf8x.def))
(/usr/local/texlive/2013/texmf-dist/tex/latex/ucs/ucs.sty
(/usr/local/texlive/2013/texmf-dist/tex/latex/ucs/data/uni-global.def))
(/usr/local/texlive/2013/texmf-dist/tex/latex/base/fontenc.sty
(/usr/local/texlive/2013/texmf-dist/tex/latex/base/t1enc.def))
! LaTeX Error: File `automultiplechoice.sty' not found.
Type X to quit or <RETURN> to proceed,
or enter new name. (Default extension: sty)
Enter file name:
! Emergency stop.
<read *>

l.7 \begin {document}^^M
! ==> Fatal error occurred, no output PDF file produced!
Transcript written on amc-compiled.log.
Output format: pdf

Y a-t-il une solution propre pour franchir cette première étape (la compilation LaTeX) indispensable?


Replies (1)

RE: Installation sous Ubuntu: automultiplechoice.sty not found - Added by Gérard Carpeaux 5 months ago

Vous utilisez texlive 2013 avec ubuntu 2018, c'est étrange.
AVez-vous déjà installé texlive ?
AMC installe texlive dans /usr/share/texlive et automultiplechoice.sty dans /usr/share/texmf/tex/latex/AMC/automultiplechoice.sty

Vérifiez que vous n'avez pas deux installations.
Solution pour moi qui ne maîtrise pas l'informatique : supprimez toutes les texlive et AMC et réinstallez AMC avec apt-get.

(1-1/1)